• Customermates Logo
    CustomermatesDocumentation
  • Einführung
  • Vergleich
Erste Schritte
  • Quickstart
  • Kernkonzepte
  • Von Pipedrive
KI verbinden
  • Claude Code verbinden
  • Claude Desktop verbinden
  • Codex verbinden
  • Cursor verbinden
  • Gemini verbinden
  • ChatGPT verbinden
Integrationen
  • MCP
  • Webhooks
  • OpenAPI 3.1.0
  • N8N
Self-Hosting
  • Get Started
  • Architektur & Sicherheit
Reference
  • MCP-Tool-Katalog
  • Filter-Syntax
  • API-Keys
  • Zurück
  1. Einführung
  2. OpenAPI 3.1.0
OverviewContact CreatedWEBHOOKContact DeletedWEBHOOKContact UpdatedWEBHOOKCreate a contactPOSTCreate a dealPOSTCreate a servicePOSTCreate a taskPOSTCreate an organizationPOSTCreate many contactsPOSTCreate many dealsPOSTCreate many organizationsPOSTCreate many servicesPOSTCreate many tasksPOSTDeal CreatedWEBHOOKDeal DeletedWEBHOOKDeal UpdatedWEBHOOKDelete a contactDELETEDelete a dealDELETEDelete a serviceDELETEDelete a taskDELETEDelete an organizationDELETEDelete many contactsDELETEDelete many dealsDELETEDelete many organizationsDELETEDelete many servicesDELETEDelete many tasksDELETEGet a contact by IDGETGet a deal by IDGETGet a service by IDGETGet a task by IDGETGet an organization by IDGETGet contactsPOSTGet contacts configurationGETGet dealsPOSTGet deals configurationGETGet organizationsPOSTGet organizations configurationGETGet own user profileGETGet servicesPOSTGet services configurationGETGet tasksPOSTGet tasks configurationGETGet usersPOSTOrganization CreatedWEBHOOKOrganization DeletedWEBHOOKOrganization UpdatedWEBHOOKService CreatedWEBHOOKService DeletedWEBHOOKService UpdatedWEBHOOKTask CreatedWEBHOOKTask DeletedWEBHOOKTask UpdatedWEBHOOKUpdate a contactPUTUpdate a dealPUTUpdate a servicePUTUpdate a taskPUTUpdate an organizationPUTUpdate many contactsPUTUpdate many dealsPUTUpdate many organizationsPUTUpdate many servicesPUTUpdate many tasksPUT

Update many tasks

Updates many tasks in a single request. Each task requires an ID. All other fields are optional.

PUT
/v1/tasks/many

Authorization

apiKeyAuth
x-api-key<token>

API key authentication. Create an API key in your user profile and include it in the x-api-key header.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

tasks*array<>
Items1 <= items <= 100

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://customermates.com/api/v1/tasks/many" \  -H "Content-Type: application/json" \  -d '{    "tasks": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"      }    ]  }'
[
  {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string",
    "type": "userPendingAuthorization",
    "notes": {},
    "createdAt": "string",
    "updatedAt": "string",
    "users": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "firstName": "string",
        "lastName": "string",
        "avatarUrl": "string",
        "email": "user@example.com"
      }
    ],
    "contacts": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "firstName": "string",
        "lastName": "string"
      }
    ],
    "organizations": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string"
      }
    ],
    "deals": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string"
      }
    ],
    "services": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string",
        "amount": 0
      }
    ],
    "customFieldValues": [
      {
        "columnId": "b0676e1a-d8a0-4c5f-99e7-a0ee8909f6dd",
        "value": "string"
      }
    ]
  }
]
"string"
"string"
"string"
"string"